Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

List the individual tickets of a sale

Minimum role: STAFF. Active workspace via the X-Workspace-Id header.

GET/sales/{id}/tickets
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Path parameters
idstringrequired
Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Responses
200

OK

dataSaleTicket[]required
Show properties
Array of SaleTicket
ticketCodestringrequired
ticketTypeIdstringrequired
ticketTypeNamestringrequired
quantityintegerrequired
min -9007199254740991 · max 9007199254740991
seatLabelstring | nullrequired
Show properties
Any of:
string
string
null
null
checkedInAtstring | nullrequired
Show properties
Any of:
string
string
null
null
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://admin.appfreeticket.com/api/v1/sales/string/tickets' \
  -H 'Authorization: YOUR_API_KEY'
Response
{
  "data": [
    {
      "ticketCode": "string",
      "ticketTypeId": "string",
      "ticketTypeName": "string",
      "quantity": -9007199254740991,
      "seatLabel": "string",
      "checkedInAt": "string"
    }
  ]
}